package w6.ex1.shout.sol;

public class ShoutRunnable implements Runnable {
	private final String from;
	private final String to;

	public ShoutRunnable(String from, String to) {
		this.from = from;
		this.to = to;
	}

	private void shout() {
		System.out.println(from + " shouts: Done with the exercises yet, " + to
				+ "???");
	}

	public void run() {
		while (true) {
			shout();
			try {
				Thread.sleep(1000);
			} catch (InterruptedException e) {
				Thread.currentThread().interrupt();
			}
		}
	}
}