package w6.ex2.innerclass.ex;

public class GameKeeper {
    private static Map<String, Game> games = new HashMap<String, Game>();

    public static void registerGame(String name, GameModel model,
				    GameView view) {
        games.put(name, new Game(model, view));
    }

    public static GameView getGameView(String name) {
        return games.get(name).view;
    }

    public static GameView getGameModel(String name) {
        return games.get(name).model;
    }
    
    // Implement the inner class Game here.
}