package w6.ex2.anonclass.ex;

import java.util.Comparator;

public class SortingFactory {
	private static final Comparator<String> numberOfCharactersComparatorInstance =
			new Comparator<String>() {
				// Your implementation here.
			};

	/**
	 * Returns a comparator for strings, ordering in ascending order of
	 * string length.
	 */
	public static Comparator<String> numberOfCharactersComparator() {
		return numberOfCharactersComparatorInstance;
	}

	/**
	 * Returns a comparator for strings, ordering in ascending order
	 * but ignores every character past prefixLength.
	 * 
	 * With prefixLength set to 2, "Pelle" and "Peter" should compare
	 * as equal but with prefixLength set to 3, "Pelle" would come before
	 * "Peter".
	 * 
	 * @param prefixLength
	 *            The maximum number of characters to use
	 *            when comparing.
	 */
	public static Comparator<String> stringPrefixComparator(
			final int prefixLength) {
		// Create and return a new instance of an anonymous class here.
	}
}
